
#include <Servo.h> //librairie des servosMoteurs
#include <Conceptinetics.h> //librairie DMX
Servo myservo01; //crée une instance servo
#define DMX_SLAVE_CHANNELS   1 // définit le nombre de canaux DMX
DMX_Slave dmx_slave ( DMX_SLAVE_CHANNELS ); // définit le DMX en esclave

const int ledPin = 13; //définit la LED de la PIN 13 comme voyant

void setup() {  
  myservo01.attach(9);  // attache le servo 1 sur la PIN 9
  dmx_slave.enable ();  
  dmx_slave.setStartAddress (501); // ardesse DMX du shutter
  pinMode ( ledPin, OUTPUT );
}

void loop() 
{
  unsigned int val01 = dmx_slave.getChannelValue (1);
       val01 = val01 * 160;
       val01 = val01 / 230;
       val01 = val01 + 10;//transforme le DMX en angle utile
  myservo01.write(val01);           // fait bouger le servo
  unsigned int val02 = dmx_slave.getChannelValue (2);
  delay(15);                        // waits for the servo to get there 
  if ( dmx_slave.getChannelValue (1) > 127 ) //vérifie l'arrivée du DMX
    digitalWrite ( ledPin, HIGH );
  else
    digitalWrite ( ledPin, LOW );
}
